Bug 118586 - Subnet mask doesn't seem to stick
Subnet mask doesn't seem to stick
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-17 17:38 EST by Matthew Riedel
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-18 18:09:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Riedel 2004-03-17 17:38:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/124 (KHTML, like Gecko) Safari/125.1

Description of problem:
In the ks.cfg the subnet mask is set to 255.255.255.0.. However, if a user overrides this a the network config screen during a kickstart install, (say to 255.255.255.128), it doesn't stick on reboot.

Version-Release number of selected component (if applicable):
anaconda-9.1-8

How reproducible:
Always

Steps to Reproduce:
1.  Have ks.cfg that specifies bootproto static and a netmask.
2. Enter different information when prompted during install
3. It will not stick
    

Actual Results:  netmask reset to what's specified in ks.cfg

Expected Results:  netmask stays on what the user specifies

Additional info:
Comment 1 Jeremy Katz 2004-03-18 14:24:51 EST
Are you changing it in the first stage or the second stage?  The first
stage only affects what's used for the install and isn't preserved for
use post-install.
Comment 2 Matthew Riedel 2004-03-18 14:30:44 EST
First stage.  However, other settings here are saved for post-install
(ie IP address, etc).

Here is the line in the ks.cfg:
network --device eth0 --bootproto static --netmask 255.255.255.0
--nameserver 128.165.4.4,128.165.11.88

If I take the netmask out, and have the user enter it, will it stick
(like the ip address)?
Comment 3 Jeremy Katz 2004-03-18 18:09:45 EST
It should.  It's basically an undocumented side effect, though, so
isn't guaranteed.  If you want to prompt, the best thing to do is to
leave out network information entirely

Note You need to log in before you can comment on or make changes to this bug.